CREATE TABLE worktime_record (
	wh	int(11) NOT NULL,
	disabled int(11) NOT NULL,
	ip varchar(16) NOT NULL,
	userid mediumint(9) NOT NULL,
	bug_id mediumint(9) NOT NULL,
	activity_keyboard int(11) NOT NULL,
	activity_mouse int(11) NOT NULL,
	module_name_sid int(11) NOT NULL,
	window_title_sid int(11) NOT NULL,
	memo_sid int(11) NOT NULL,

	PRIMARY KEY (wh, userid),
	KEY wh (wh),
	KEY disabled (disabled),
	KEY ip (ip),
	KEY userid (userid),
	KEY bug_id (bug_id),
	KEY activity_keyboard (activity_keyboard),
	KEY activity_mouse (activity_mouse),
	KEY window_title_sid (window_title_sid),
	KEY module_name_sid (module_name_sid),
	KEY memo_sid (memo_sid)
);

CREATE TABLE worktime_string (
	id int(11) NOT NULL auto_increment,
	str varchar(100) NOT NULL,

	PRIMARY KEY (id),
   UNIQUE KEY str (str)
);

CREATE TABLE worktime_dollarzz (
	wh	int(11) NOT NULL,
	userid mediumint(9) NOT NULL,
	amount double NOT NULL,

	PRIMARY KEY (wh, userid)
);
