{assign var=title value="Report - $show"}
{assign var="print" value="1"}
{include file="header.tpl"}

<form action="report.html" method="post">
  <table  cellspacing="0" cellpadding="0">
    <tr>
      <th>
      </th> 
      <th>
        Users
      </th> 
      <th>
        Products
      </th> 
      <th>
        Components
      </th> 
      <th>
        Bugs
      </th>
    </tr>
    <tr>
      <td>
            <select name="show">
              <option value="overview" {if $show eq "overview"}selected{/if}>overview</option>
              <option value="screenshots" {if $show eq "screenshots"}selected{/if}>screenshots</option>
              <option value="details" {if $show eq "details"}selected{/if}>details</option>
              <option value="titles" {if $show eq "titles"}selected{/if}>titles</option>
            </select>
        <input type="submit" value="Refresh" />
        <br/>
        <br/>
            <table cellspacing="0" cellpadding="0">
              <tr><th>From</th><td>
            <nobr>
            {assign var=datetime_prefix value="from_"}
            {assign var=datetime_year value=$from_year}
            {assign var=datetime_month value=$from_month}
            {assign var=datetime_day value=$from_day}
            {assign var=datetime_hour value=$from_hour}
            {assign var=datetime_min value=$from_min}
            {include file="datetime.tpl"}
            </nobr>
              </td></tr>
              <tr><th>To</th><td>
            <nobr>
            {assign var=datetime_prefix value="to_"}
            {assign var=datetime_year value=$to_year}
            {assign var=datetime_month value=$to_month}
            {assign var=datetime_day value=$to_day}
            {assign var=datetime_hour value=$to_hour}
            {assign var=datetime_min value=$to_min}
            {include file="datetime.tpl"}
            </nobr>
              </td>
              </tr></table>
      </td>
      <td>
        <select name="users[]" multiple="multiple" size="5">
          {foreach item=u from=$users}
              <option value="{$u.userid}" {if $u.show_selected}selected{/if}>{$u.realname}</option>
          {/foreach}
         </select>
      </td>
      <td>
        <select name="products[]" multiple="multiple" size="5">
          {foreach item=i from=$products}
              <option value="{$i.id}" {if $i.show_selected}selected{/if}>{$i.title}</option>
          {/foreach}
         </select>
      </td>
      <td>
        <select name="components[]" multiple="multiple" size="5">
          {foreach item=i from=$components}
              <option value="{$i.id}" {if $i.show_selected}selected{/if}>{$i.title}</option>
          {/foreach}
         </select>
      </td>
      <td>
        <select name="bugs[]" multiple="multiple" size="5" >
          {foreach item=i from=$bugs}
              <option value="{$i.bug_id}" {if $i.show_selected}selected{/if}>{$i.bug_id} {$i.short_desc}</option>
          {/foreach}
         </select>
      </td>
    </tr>
  </table>
  {if $show eq "details"}
    <table  cellspacing="0" cellpadding="0">
      <tr>
        <th>
          Detalisation levels
        </th>
      </tr>
      <tr>
        <td>
          {foreach item=ss from=$show_selects} 
            <select name="show_selects[]">
              {foreach item=i from=$ss.items}
                <option value={$i} {if $i eq $ss.selected}selected{/if}>{$i}</option>
              {/foreach}
            </select>
          {/foreach}
        </td>
      {/if}
    </tr>
  </table>
</form>

{if $show eq "overview"}
  <table border="1" cellspacing="0" cellpadding="3">
    <tr>
      <th>User</th>
      {foreach item=t from=$dates}
        <th>{$t.title}</th>
      {/foreach}
      <th>Sum</th>
      <th>$</th>
    </tr>
    {foreach item=u from=$users}
      {if $u.selected and $u.sum > 0}
        <tr>
          <td>{$u.realname}</td>
          {foreach item=i from=$u.intervals}
            {if $i.n > 0}
              <td><a href="{$i.href}">{$i.n|string_format:"%.1f"}</a></td>
            {else}
              <td bgcolor="blue">
              </td>
            {/if}
          {/foreach}
          <td>{$u.sum|string_format:"%.2f"}</td>
          <td>{$u.dollarzz|string_format:"%.2f"}</td>
        </tr>
      {/if}
    {/foreach}
    <tr>
      <th>Total</th>
      {foreach item=t from=$dates}
        {if $t.sum > 0}
          <td><small>{$t.sum|string_format:"%.1f"}</small></td>
        {else}
          <td bgcolor="blue">
          </td>
        {/if}
      {/foreach}
      <th>{$all_sum|string_format:"%.2f"}</th>
    </tr>
    <tr>
      <th>$</th>
      {foreach item=t from=$dates}
        {if $t.sum > 0}
          <td><small>{$t.dollarzz|string_format:"%.01f"}</small></td>
        {else}
          <td bgcolor="blue">
          </td>
        {/if}
      {/foreach}
      <th></th>
      <th>{$all_dollarzz|string_format:"%.2f"}</th>
    </tr>
  </table>
{/if}

{if $show eq "screenshots"}
   {foreach item=u from=$users}
    {if $u.selected and $u.intervals}
        <h2>{$u.realname}</h2>
         <table border="1" cellspacing="0" cellpadding="0">
            <tr>
              <th>Hour</th>
              <th width="150">:00</th>
              <th width="150">:10</th>
              <th width="150">:20</th>
              <th width="150">:30</th>
              <th width="150">:40</th>
              <th width="150">:50</th>
            </tr>
          {foreach item=h from=$u.intervals}
            <tr>
              <th><small>{$h.day}</small><br/>{$h.timestamp}:00</th>
              {foreach item=i from=$h.data}
                <td valign="bottom">
                {if $i.active}
                  {if $i.screenshot}
                    <a href="{$i.screenshot_big}" target="_blank" title="{$i.alt}">
                        <img src="{$i.screenshot}" border="0" alt="{$i.alt}" />
                    </a>
                  {/if}
                        <table cellspacing="1" cellpadding="0" height="7">
                          <tr>
                            {foreach item=sm from=$i.data}
                              <td width="14" {if $sm.active > 0}{if $sm.keyboard eq 0 and $sm.mouse eq 0 }bgcolor="#d00000"{else}bgcolor="green"{/if}{else}bgcolor="#bbbbbb"{/if} />
                            {/foreach}
                          </tr>
                        </table>
                      <small>
                          {if $i.keyboard eq 0 and $i.mouse eq 0}
                            {assign var=rc value="red"}
                          {else}
                            {assign var=rc value="blue"}
                          {/if}
                          <font color="{if $i.keyboard eq 0}{$rc}{else}green{/if}">
                            {$i.keyboard|string_format:"%.1f"}k
                           </font>
                          /
                          <font color="{if $i.mouse eq 0}{$rc}{else}green{/if}">
                            {$i.mouse|string_format:"%.1f"}m
                          </font>
                      </small>
                {/if}
                </td>
              {/foreach}
            </tr>
          {/foreach}
        </table>
    {/if}
   {/foreach}
{/if}

{if $show eq "details"}
<table cellspacing="0" cellpadding="0">
  <tr>
    <th>
      Title
    </th>
    <th>
      Hours
    </th>
    <th>
      $
    </th>
  </tr>
  {assign var=cnt value="0"}
  {foreach item=l from=$details}
    <tr {if $cnt eq "0"}{assign var=cnt value="1"}bgcolor="#eeeeee"{else}{assign var=cnt value="0"}{/if}>
      <td>
        <h1 class="hierarhy_{$l.level}">{$l.title}</h1>
      </td>
      <td align="right">
        <h1 class="hierarhy_{$l.level}">{$l.sum|string_format:"%.01f"}</h1>
      </td>
      <td align="right">
        <h1 class="hierarhy_{$l.level}">{$l.dollarzz|string_format:"%.02f"}</h1>
      </td>
    </tr>
  {/foreach}
</table>
{/if}

{if $show eq "titles"}
<table>
  <tr>
  {foreach key=k item=i from=$titles}
    <th>{$k}</th>
  {/foreach}
  </tr>
  <tr>
  {foreach item=t from=$titles}
    <td valign="top">
      <table>
        <th>Time</th>
        <th>Title</th>
        {foreach item=i from=$t}
          <tr>
            <td>{$i.time|string_format:"%.02f"}</td>
            <td>{$i.title}</td>
          </tr>
        {/foreach}
      </table>
    </td>
  {/foreach}
</table>  
{/if}

{include file="footer.tpl"}
